=== lib/crypto/c_src/Makefile ===
#
# Invoke with GNU make or clearmake -C gnu.
#
include $(ERL_TOP)/make/run_make.mk
